Bug 13721 - don't include colon in examples of scheme names
don't include colon in examples of scheme names
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec
unspecified
PC All
: P4 trivial
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
: TrackerIssue
Depends on:
Blocks: 12986
  Show dependency treegraph
 
Reported: 2011-08-10 02:58 UTC by Michael[tm] Smith
Modified: 2011-09-25 09:24 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael[tm] Smith 2011-08-10 02:58:23 UTC
> An editorial comment.  I see the document using such terms as "mailto: 
> URL", "data: URL", "javascript: URL" etc.  An example is (Section 2.1.1):
>
>> The term |data:| URL refers to URLs 
>> <http://dev.w3.org/html5/spec/Overview.html#url> that use the |data:| 
>> scheme.
> Considering the string before "URL" identifies the scheme, I'd 
> recommend not to include ":" (colon) their, since this character isn't 
> a part of the scheme name (but rather a delimiter).  Having "scheme 
> URL" or " 'scheme' URL " (I personally prefer the last) is OK.

[split out from bug 12986]
Comment 1 Ian 'Hixie' Hickson 2011-09-23 23:20:52 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: People understand it better if they see the colon.
Comment 2 Mykyta Yevstifeyev 2011-09-24 04:15:06 UTC
I'll reopen the bug now.

Whereas people understand better, this is not correct in terms of RFC 3986.  It specifies a ":" character as a delimiter, and everything before it in the URI is a scheme name.  So it is incorrect to point to eg. 'http:' scheme because it literally leads to URI like "http:://smth.org/".

Moreover, as HTML spec is available in HTML, and you actively use highlighting there, I doubt there will be any problems with understanding.

Please reconsider this proposal.
Comment 3 Ian 'Hixie' Hickson 2011-09-25 02:00:55 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: Pedantic correctness is not as importance as clarity.
Comment 4 Julian Reschke 2011-09-25 09:24:11 UTC
See <http://www.w3.org/html/wg/tracker/issues/178>.